classification
Title: Clean up known issues for AIX
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: David.Edelsohn, Michael.Felt, docs@python, ericvw, mdk, zach.ware
Priority: normal Keywords: patch

Created on 2016-11-30 21:40 by ericvw, last changed 2017-05-24 19:29 by zach.ware. This issue is now closed.

Files
File name Uploaded Description Edit
cleanup-readme-aix.patch ericvw, 2016-11-30 21:40 Clean up addressed known issues in README.AIX review
cleanup-readme-aix2.patch ericvw, 2016-11-30 23:00 Revised original patch to only remove fixed/resolved referenced issues in README.AIX review
Pull Requests
URL Status Linked Edit
PR 1670 merged ericvw, 2017-05-19 23:44
Messages (12)
msg282105 - (view) Author: Eric N. Vander Weele (ericvw) * Date: 2016-11-30 21:40
This patch cleans up Misc/README.AIX for addressed known issues.

Issues that have been marked fixed: #11184, #11185
Issues resolved by new AIX version: #1745108
Issues resolved, but not yet marked fixed/closed: #11188

Additionally, it looks like #10709 can be closed out as well.

For #1745108 and #11188, I have verified they are addressed as of Python 3.5.2 on AIX 7.1 locally.  The Python Buildbot is failing to build the curses module, but I believe Setup.local is needed for _curses and _curses_panel.  I have gotten the aforementioned curses modules building locally and will figure out the appropriate channels getting Python's PPC64 AIX Buildbot updated independently.
msg282109 - (view) Author: Julien Palard (mdk) * Date: 2016-11-30 22:33
You're also removing:

> * Python has not been fully tested on AIX when compiled as a 64 bit
>   application.

I do not have an AIX at hand but can someone at least confirm that all test passes? Having a few issues fixed does not mean that Python has been fully tested.
msg282112 - (view) Author: Eric N. Vander Weele (ericvw) * Date: 2016-11-30 23:00
> Having a few issues fixed does not mean that Python has been fully tested.

I uploaded cleanup-readme-aix2.patch, which revives back the line removed in question and only removes lines which reference issues.

I just noticed the results of Python's tests on my AIX box differ from Python's PPC64 Buildbot.  I'll investigate separately and submit patches for getting the tests to pass, which then it may be more appropriate to remove that line.
msg282114 - (view) Author: Julien Palard (mdk) * Date: 2016-11-30 23:26
Look like issue1745108 has only be closed for being "outdated" (msg240919 ), it does not clearly mean that the bug does no longer exists.

Have you been able to test the example in it?
msg282420 - (view) Author: Eric N. Vander Weele (ericvw) * Date: 2016-12-05 14:03
I have been able to test the example without a segmentation fault.

$ python3.5
Python 3.5.2 (default, Nov 17 2016, 10:45:58) [C] on aix7
Type "help", "copyright", "credits" or "license" for more information.
>>> import curses
>>> from curses import panel
>>> def mkpanel(scr):
...         win = curses.newwin(8,8,1,1)
...         pan = panel.new_panel(win)
...
>>> curses.wrapper(mkpanel)
>>>
msg283044 - (view) Author: Julien Palard (mdk) * Date: 2016-12-12 20:17
LGTM but no AIX to test it.
msg283103 - (view) Author: David Edelsohn (David.Edelsohn) * Date: 2016-12-13 13:43
There is an AIX system in the Python buildbot farm. Why do you say no AIX to test?
msg284550 - (view) Author: Michael Felt (Michael.Felt) * Date: 2017-01-03 11:24
FWIW: just build python-2.7.13 using xlC - and ncurses-6.0 installed.

root@x064:[/data/prj/python/python2-2.7.13]
root@x064:[/data/prj/python/python2-2.7.13]./python
Python 2.7.13 (default, Jan  3 2017, 11:16:59) [C] on aix5
Type "help", "copyright", "credits" or "license" for more information.
>>> import curses
>>> from curses import panel
>>> def mkpanel(scr):
...  win = curses.newwin(8,8,1,1)
...  pan = panel.new_panel(win)
...
>>> curses.wrapper(mkpanel)
>>>

So, even for AIX 5.3 and Python2.7 this test seems solved. If the above is all that is needed!
msg284559 - (view) Author: Michael Felt (Michael.Felt) * Date: 2017-01-03 13:21
I request that you review issue27435 - in particular msg284557 - as I feel ctypes implementation for AIX is broken - at least as far as the supporting routines are concerned.

When you know the "magic" one can call ctypes.CDLL() and it 'works'. ctypes.util.find_library() always returns None (maybe it works if a stack of GNU tools are also loaded, but not on a 'generic' AIX install)

ctypes.LibraryLoader() is always successful (i.e., no Traceback) but I am (personally) unsure of the actual return value. It feels like a false positive.

Thank you for your time and consideration!

p.s. - a "fix/patch" is nearly accepted for Python3.7 (see issue26439) - needs more for the docs - however, I feel is is a great short-coming to limit this to versions that are yet to come!
msg286218 - (view) Author: Eric N. Vander Weele (ericvw) * Date: 2017-01-24 21:15
> I request that you review issue27435 - in particular msg284557 - as I feel ctypes implementation for AIX is broken - at least as far as the supporting routines are concerned.

I believe this request is outside the scope of this particular issue.

> [...] AIX to test it.

It appears there is an AIX system in Python's buildbot farm to validate the curses example.  Is the next step have a core maintainer conduct the validation on an AIX system before this can move forward?
msg294380 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2017-05-24 19:27
New changeset 7c2f82d158a19ec9ee6b7e259c243e1f06f0434f by Zachary Ware (Eric N. Vander Weele) in branch 'master':
bpo-28845: Clean up known issues for AIX (GH-1670)
https://github.com/python/cpython/commit/7c2f82d158a19ec9ee6b7e259c243e1f06f0434f
msg294382 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2017-05-24 19:29
Thanks for the patch!  I'm going to decline backporting this; let's just focus on the future for this.
History
Date User Action Args
2017-05-24 19:29:59zach.waresetstatus: open -> closed
versions: - Python 2.7, Python 3.5, Python 3.6
messages: + msg294382

resolution: fixed
stage: patch review -> resolved
2017-05-24 19:27:49zach.waresetnosy: + zach.ware
messages: + msg294380
2017-05-19 23:44:18ericvwsetpull_requests: + pull_request1764
2017-01-24 21:15:09ericvwsetmessages: + msg286218
2017-01-03 13:21:22Michael.Feltsetmessages: + msg284559
2017-01-03 11:24:44Michael.Feltsetmessages: + msg284550
2016-12-13 13:43:32David.Edelsohnsetmessages: + msg283103
2016-12-12 20:17:00mdksetmessages: + msg283044
2016-12-05 14:03:48ericvwsetmessages: + msg282420
2016-11-30 23:26:09mdksetmessages: + msg282114
2016-11-30 23:00:47ericvwsetfiles: + cleanup-readme-aix2.patch

messages: + msg282112
2016-11-30 22:33:42mdksetnosy: + mdk
messages: + msg282109
2016-11-30 21:42:13zach.waresetnosy: + Michael.Felt
stage: patch review

versions: - Python 3.3, Python 3.4
2016-11-30 21:40:32ericvwcreate